<template>
  <cover-split-section :cover-image="coverImage">
    <template #heading>
      <h1>{{ heading }}</h1>
    </template>

    <template #default>
      <div class="markdown summary" v-html="content.text" />
      <div class="mt-10">
        <button-link class="btn-base" :to="site.routes[content.cta.routeId]">
          {{ content.cta.action }}
        </button-link>
      </div>
    </template>
  </cover-split-section>
</template>

<script>
export default {
  name: 'QuienesSomosCoverSection',
  inject: ['site'],
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
    content: { type: Object, default: () => ({}) },
  },
};
</script>
